r.out.bin(1)

NAME
r.out.bin - Exports a GRASS raster to a binary array.

KEYWORDS
raster, export, output

SYNOPSIS
r.out.bin
r.out.bin --help
r.out.bin [-ifhbs] input=string [output=string] [null=float] [bytes=integer] [order=string] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-i
    Generate integer output

-f
    Generate floating-point output

-h
    Export array with GMT compatible header

-b
    Generate BIL world and header files

-s
    Byte swap output

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=string [required]
    Name of input raster map

output=string
    Name for output binary map (use output=- for stdout)

null=float
    Value to write out for null
    Default: 0

bytes=integer
    Number of bytes per cell
    Options: 1, 2, 4, 8

order=string
    Output byte order
    Options: big, little, native, swap
    Default: native

DESCRIPTION
The r.out.bin program exports a GRASS raster map to a binary array file. Optionally, output can be sent to standard output (stdout) for direct input (pipe) into other applications. Data is exported according to the original GRASS raster type (e.g. float). If the "-i" flag is specified, an integer array is output. The region parameters are printed to stderr.

NOTES
With the -h flag, data can be directly used by GMT as Grid Format 1 (float) or 2 (short). For example:

r.out.bin -h input=grass.raster output=new.grd
grdinfo new.grd=1 (if float)

Exported data can be piped directly into the GMT program xyz2grd.

r.out.bin input=grass.raster output=- | xyz2grd -R....  -ZTLf -

The example uses the GMT program xyz2grd with the -ZTLf flag indicating that a float array was output.

SEE ALSO
r.in.bin, r.in.ascii, r.in.gdal, r.out.ascii

AUTHOR
This program is derived from r.out.ascii with a few modifications.
Author: Bob Covill

SOURCE CODE

Available at: r.out.bin source code (history)

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2021 GRASS Development Team, GRASS GIS 7.8.6 Reference Manual